removal_blacklist.cfg updates

Bug #1768620 reported by Brian Murray
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Fix Released
High
Brian Murray
Bionic
Fix Released
Undecided
Unassigned

Bug Description

[Impact]
The release-upgrader tarball includes a file, removal_blacklist.cfg, which lists packages which should never be removed. During the development of Ubuntu 18.04 this list was not updated and some packages which could be removed still exist in that file which could prevent the upgrader from calculating the upgrade. This would cause a bad experience for users as they will be stuck on the previous release of Ubuntu.

[Test Case]
To test the unity blacklist issue
1) Using an up to date Ubuntu 16.04 remove universe from sources.list
2) Ensure /etc/update-manager/release-upgrades has Prompt=lts
3) Run 'do-release-upgrade -d'
4) Observe a failure to calculate the upgrade i.e. "ERROR Dist-upgrade failed: 'The package 'unity' is marked for removal but it is in the removal blacklist.'"

Using the release upgrader tarball from -proposed the release upgrade should be successfully calculated.

Additionally, testing the release upgrade process of a "regular" system from 16.04 to 18.04 and 17.10 to 18.04 is a good idea to ensure that the release upgrade process works.

[Regression Potential]
Syntax errors in removal_blacklist.cfg may cause the release upgrader crash so keep an eye out for those although it is just line removals.

Related branches

description: updated
description: updated
Changed in ubuntu-release-upgrader (Ubuntu):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Brian Murray (brian-murray)
tags: added: id-5aea1f1ddc9436084bce0883
Revision history for this message
Brian Murray (brian-murray) wrote :

Adam has some concerns about why unity was suggested for removal so that should be investigated before accepting this.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:18.10.1

---------------
ubuntu-release-upgrader (1:18.10.1) cosmic; urgency=medium

  * DistUpgrade/{EOL,Devel}ReleaseAnnouncement,
    DistUpgrade/window_main.ui,
    data/gtkbuilder/DistUpgrade.ui,
    data/DistUpgrade.cfg,
    pre-build.sh:
    - updated for 18.04 -> 18.10

 -- Brian Murray <email address hidden> Tue, 08 May 2018 11:13:45 -0700

Changed in ubuntu-release-upgrader (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Chris Halse Rogers (raof) wrote :

The upload to bionic-proposed also includes changes to the demoted.cfg and mirrors files, and a bunch of translation updates.

The mirrors and translation updates seem fine (they're updates in response to external events, although it'd be nice to have them mentioned in the changelog), but are the unmentioned demoted.cfg changes intentional?

Changed in ubuntu-release-upgrader (Ubuntu Bionic):
status: New → Incomplete
Revision history for this message
Brian Murray (brian-murray) wrote :

Yes, they are intentional. The last upload of ubuntu-release-upgrader was on April 18th, I guess the archive admins were busy in the week before release and a lot of packages were demoted thereby causing the set of demoted packages to be updated.

Changed in ubuntu-release-upgrader (Ubuntu Bionic):
status: Incomplete → Confirmed
Revision history for this message
Steve Langasek (vorlon) wrote : Please test proposed package

Hello Brian, or anyone else affected,

Accepted ubuntu-release-upgrader into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:18.04.18 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubuntu-release-upgrader (Ubuntu Bionic):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-bionic
Revision history for this message
Andreas Schildbach (schildbach) wrote :

Note however, that *if* you uninstall Unity the system will disable hardware acceleration due to this bug: https://bugs.launchpad.net/ubuntu/+source/nux/+bug/1767468

Maybe the uninstallation of Unity should be delayed until the above bug is fixed?

description: updated
Revision history for this message
Brian Murray (brian-murray) wrote :

Thanks for bringing that bug report up. Unity should only be recommended for uninstallation on systems without universe enabled which is a rarity.

I verified this using the dist-upgrader tarball from bionic proposed:

2018-05-18 12:58:36,677 INFO release-upgrader version '18.04.18' started
....
2018-05-18 12:58:45,843 DEBUG Remove: account-plugin-facebook account-plugin-flickr account-plugin-google appmenu-qt5 apt-transport-https checkbox-converged checkbox-gui evolution-data-server-online-accounts gir1.2-totem-plparser-1.0 gnome-orca gnome-session-flashback gnupg-agent gnupg2 grilo-plugins-0.2-base hud imagemagick-common indicator-session kerneloops-daemon libabw-0.1-1v5 libbabeltrace-ctf1 libcurl3 libdata-alias-perl libdfu1 libdouble-conversion1v5 libgtk2-perl liblircclient0 libmagickcore-6.q16-2 libmagickcore-6.q16-2-extra libmagickwand-6.q16-2 libnss3-nssdb liboxideqt-qmlplugin liboxideqtcore0 liboxideqtquick0 libp11-kit-gnome-keyring libpango-perl libpeas-1.0-0-python3loader libperl5.22 libqt5feedback5 libqt5multimedia5 libqt5organizer5 libqt5positioning5 libqt5qml5 libqt5quick5 libqt5quicktest5 libqt5webkit5 libreoffice-gtk libsane libubuntugestures5 libubuntutoolkit5 libunity-webapps0 libwebkit2gtk-4.0-37-gtk2 onboard onboard-data perl-modules-5.22 pulseaudio-module-x11 pyotherside python3-aptdaemon.pkcompat qml-module-io-thp-pyotherside qml-module-qt-labs-folderlistmodel qml-module-qt-labs-settings qml-module-qtfeedback qml-module-qtgraphicaleffects qml-module-qtquick-layouts qml-module-qtquick-window2 qml-module-qtquick2 qml-module-qttest qml-module-ubuntu-components qml-module-ubuntu-layouts qml-module-ubuntu-onlineaccounts qml-module-ubuntu-performancemetrics qml-module-ubuntu-test qml-module-ubuntu-web qmlscene qtdeclarative5-accounts-plugin qtdeclarative5-dev-tools qtdeclarative5-qtquick2-plugin qtdeclarative5-test-plugin qtdeclarative5-ubuntu-ui-toolkit-plugin qtdeclarative5-unity-action-plugin rhythmbox-plugin-zeitgeist sessioninstaller signon-ui signon-ui-x11 system-config-printer-gnome ttf-ubuntu-font-family unity unity-asset-pool unity-control-center-faces unity-control-center-signon unity-scope-gdrive unity-webapps-common unity-webapps-qml unity-webapps-service webapp-container webbrowser-app xdiagnose xserver-xorg-input-evdev xserver-xorg-input-synaptics xserver-xorg-input-vmmouse

tags: added: verification-done-bionic
removed: verification-needed-bionic
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:18.04.18

---------------
ubuntu-release-upgrader (1:18.04.18) bionic; urgency=medium

  * data/removal_blacklist.cfg: Drop unity, ubuntu-gnome-desktop, and
    ubuntu-mate-cloudtop from the blacklist as they are no longer critical to
    keep installed. (LP: #1768620)

 -- Brian Murray <email address hidden> Wed, 02 May 2018 12:43:44 -0700

Changed in ubuntu-release-upgrader (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Update Released

The verification of the Stable Release Update for ubuntu-release-upgrader has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers